MemoryRuleSet (Catalina Internal API Documentation)
Keywords: org.apache.catalina.realm.MemoryRuleSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.realm
Class MemoryRuleSet

    java.lang.Object
      org.apache.commons.digester.RuleSetBase
          org.apache.catalina.realm.MemoryRuleSet

All Implemented Interfaces:
  org.apache.commons.digester.RuleSet

public class MemoryRuleSet
extends org.apache.commons.digester.RuleSetBase

RuleSet for recognizing the users defined in the XML file processed by `MemoryRealm`.

Version:
  $Revision: 374196 $ $Date: 2006-02-01 17:18:12 -0500 (Wed, 01 Feb 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `prefix` The matching pattern prefix to use for recognizing our elements.

Fields inherited from class org.apache.commons.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`MemoryRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`MemoryRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` | `addRuleInstances(org.apache.commons.digester.Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

Methods inherited from class org.apache.commons.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

Constructor Detail

### MemoryRuleSet

    public MemoryRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### MemoryRuleSet

    public MemoryRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(org.apache.commons.digester.Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.